import {
  BrowserRouter as Router,
  Routes,
  Route,
  Navigate
} from "react-router-dom";

import { AuthProvider } from './auth/AuthProvider';
import { CartStore } from './cart/CartStore';

import Sell from './pages/sell';
import Login from './pages/login';
import Stock from './pages/stock';
import Users from './pages/users';
import AddProduct from './pages/add_product';
import Main from './components/layout/main';

export default function App() {
  return (
    <CartStore>
      <Router>
        <div>
          <AuthProvider>
            <Routes>
              <Route index element={<Navigate to="/dashboard" />} />
              <Route path="login" element={<Login />} />
              <Route path="dashboard" element={<Main />}>
                <Route index element={<Sell />} />
                <Route path="stock" element={<Stock />} />
                <Route path="users" element={<Users />} />
                <Route path="add-product" element={<AddProduct />} />
              </Route>
              <Route path="*" element={<h1>No match !</h1>} />
            </Routes>
          </AuthProvider>
        </div>
      </Router>
    </CartStore>
  );
};
