import axios from 'axios';

const BASE_URL = "https://" + process.env.REACT_APP_MONEY_URL;

// Fetch transactions from API
export async function getTransactions(studentNumber: string): Promise<any> {
  // Fetch transactions data
  const transactionsData: any[] = await axios.get(`${BASE_URL}/transactions/get/${studentNumber}`, {
    headers: {
      'Content-Type': 'application/json',
    }
  }).then(({ data }) => data)
    .catch(error => {
      console.error(error);
      return [];
		});
	console.log(transactionsData);

	// TODO: Format transaction data

	return transactionsData;
}

export async function sendTransaction(studentNumber: string, userName: string, price: number): Promise<boolean> {
  return await axios.post(`${BASE_URL}/payments/add/mastercard`, {
    student_number: parseInt(studentNumber),
    user_name: userName,
    payment_method: "TODO",
    payment_name: "mastercard",
    identifier: "123454678",
    amount: price,
  }, {
    headers: {
      'Content-Type': 'application/json',
    }
  }).then((res) => {
    console.log(res);
    return res.status === 200;
  })
    .catch(error => {
      console.error(error);
      return false;
    });
}
